petsc-3.4.2 2013-07-02

# KSPMonitorSingularValue

Prints the two norm of the true residual and estimation of the extreme singular values of the preconditioned problem at each iteration.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorSingularValue(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Logically Collective on KSP

### Input Parameters

| ksp | - the iterative context
| n | - the iteration
| rnorm | - the two norm of the residual

### Options Database Key

-ksp_monitor_singular_value -Activates KSPMonitorSingularValue()

### Notes

The CG solver uses the Lanczos technique for eigenvalue computation, while GMRES uses the Arnoldi technique; other iterative methods do not currently compute singular values.

### Keywords

KSP, CG, default, monitor, extreme, singular values, Lanczos, Arnoldi

### See Also

KSPComputeExtremeSingularValues()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html